### 功能描述

批量更新主机属性（不能用于更新主机属性中的云区域字段）

### 请求参数

{{ common_args_desc }}

#### 接口参数

| 字段                |  类型         | 必选   |  描述                           |
|---------------------|--------------|--------|---------------------------------|
| bk_supplier_account | string       | 否     | 开发商账号                       |
| update              | object array | 是     | 主机被更新的属性和值，最多500条   |

#### update
| 字段        | 类型    | 必选   | 描述                                                |
|-------------|--------|--------|----------------------------------------------------|
| properties  | object | 是     | 主机被更新的属性和值，不能用于更新主机属性中的云区域字段 |
| bk_host_id  | int    | 是     | 用于更新的主机ID                                     |

#### properties
| 字段         | 类型   | 必选   | 描述                                                      |
|--------------|--------|-------|-----------------------------------------------------------|
| bk_host_name | string | 否    | 主机名，也可以为其它属性，不能用于更新主机属性中的云区域字段    |
| operator     | string | 否    | 主要维护人，也可以为其它属性，不能用于更新主机属性中的云区域字段 |
| bk_comment   | string | 否    | 备注，也可以为其它属性，不能用于更新主机属性中的云区域字段      |
| bk_isp_name  | string | 否    | 所属运营商，也可以为其它属性，不能用于更新主机属性中的云区域字段 |



### 请求参数示例

```json
{
    "bk_supplier_account":"0",
    "update":[
      {
        "properties":{
          "bk_host_name":"batch_update",
          "operator": "admin",
          "bk_comment": "test",
          "bk_isp_name": "1"
        },
        "bk_host_id":46
      }
    ]
}
```


### 返回结果示例

```json
{
    "result": true,
    "code": 0,
    "message": "success",
    "data": null
}
```
